## jaqalmixer 0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)
project(jaqalmixer LANGUAGES CXX)

find_package(Qt6 6 REQUIRED COMPONENTS Core Widgets)
find_package(ALSA REQUIRED)

qt_standard_project_setup()

qt_add_executable(jaqalmixer
	main.cpp
	cardselector.h cardselector.cpp
	paramswidget.h paramswidget.cpp
	mixerhandle.h mixerhandle.cpp
	rmixcheckbox.h rmixcheckbox.cpp
	rmixenumbox.h rmixenumbox.cpp
	rmixslider.h rmixslider.cpp
	rmixsliderbox.h rmixsliderbox.cpp
	rmixnumspin.h rmixnumspin.cpp
	jmixmenubar.h jmixmenubar.cpp
	t5disp.h t5disp.cpp
	elddisp.h
	elddisp.cpp
)

target_link_libraries(jaqalmixer
	PRIVATE
		Qt::Core
		Qt::Widgets
		ALSA::ALSA
)

include(GNUInstallDirs)

install(TARGETS jaqalmixer
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(FILES jaqalmixer.desktop DESTINATION share/applications)
install(FILES jaqalmixer.png DESTINATION share/icons/hicolor/64x64/apps)
