=== debian/changelog ===
jaqalmixer (0.0-git20251122~mx25) mx; urgency=medium

  * Initial build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 18 Dec 2025 02:40:33 +0000
