=== debian/control ===
Source: jaqalmixer
Section: Multimedia
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  debhelper (>= 12),
				cmake (>=3.19),
				qt6-base-dev,
				libasound2-dev
Standards-Version: 4.5.8

Package: jaqalmixer
Architecture: any
Description: Just Another Qt ALSA Mixer
